.block-commerce-checkout{
    max-width: 76rem;
    margin: 3rem auto 1rem;
    padding: 1.5rem;
}

.block-commerce-checkout ol{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
    align-items: center;
}

.block-commerce-checkout ol a{
    color: var(--color-gray);
}
@media(width > 48rem){
    .block-commerce-checkout ol{
        flex-direction: row;
        list-style: none;
        counter-reset: step-counter;
    }
    .block-commerce-checkout ol > li.checkout-progress--step{
        display: flex;
        align-items: center;
        gap: 1rem;
        padding-right: 0;
        font-size: 0.875rem;
        counter-increment: step-counter;
        position: relative;
    }
    .block-commerce-checkout ol > li.checkout-progress--step::before{
        content: counter(step-counter);
        min-width: 28px;
        height: 28px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 0.875rem;
        font-weight: 500;
        margin-right: -5px;
        flex-shrink: 0;
        background: var(--color-gray);
        color: #fff;
    }
    .block-commerce-checkout ol > li.checkout-progress--step::after{
        content: url('data:image/svg+xml,<svg width="95" height="6" viewBox="0 0 95 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.000325441 2.6665C0.000325441 4.13926 1.19423 5.33317 2.66699 5.33317C4.13975 5.33317 5.33366 4.13926 5.33366 2.6665C5.33366 1.19374 4.13975 -0.00016284 2.66699 -0.00016284C1.19423 -0.00016284 0.000325441 1.19374 0.000325441 2.6665ZM89.0003 2.6665C89.0003 4.13926 90.1942 5.33317 91.667 5.33317C93.1398 5.33317 94.3337 4.13926 94.3337 2.6665C94.3337 1.19374 93.1398 -0.00016284 91.667 -0.00016284C90.1942 -0.00016284 89.0003 1.19374 89.0003 2.6665ZM2.66699 2.6665V3.1665H91.667V2.6665V2.1665H2.66699V2.6665Z" fill="%238A8C8E"/></svg>');
        display: block;
    }
    .block-commerce-checkout ol > li.checkout-progress--step:last-child::after{
        content: '';
        display: none;
    }
    .block-commerce-checkout ol > li.checkout-progress--step__current{
        font-weight: 500;
        color: var(--color-primary);
    }
    .block-commerce-checkout ol > li.checkout-progress--step__current::before{
        background: var(--color-primary);
    }
}
